Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 22 Jan 2022 15:26:04 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I think it's less a matter of kilobytes, but more a sense of
> "cleanliness" that some people want to achieve.  On the other hand,
> there's not really much to win to cater to that feeling, so perhaps we
> should always define functions like that.

Nobody seemed to have a strong opinion one way or another, but
pre-loading these things in all configurations may lead to regressions
for people (they may be doing (fboundp 'scroll-bar-scale) etc to see
whether we're in a non-X build), so I think it makes more sense to
change nothing here, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no